.modal-add-database {
  padding: 0.5em;
  min-width: 30em;
  position: relative;
}
.modal-add-database p {
  margin: 0.5em 1em;
  font-style: italic;
  font-size: 0.9em;
}
.modal-add-database h2 {
  margin: 0.5em 0;
  font-size: 1.1em;
}
.modal-add-database-settings {
  display: table;
  width: 100%;
}
.modal-add-database-settings > div {
  display: table-row;
}
.modal-add-database-settings > div > div {
  display: table-cell;
}
.modal-add-database-setting-key {
  padding: 0.5em 0.5em 0.5em 0;
}
.modal-add-database-setting-value {
  position: relative;
}
.modal-add-database-setting-value > * {
  width: 100%;
  box-sizing: border-box;
}
.modal-add-database button,
.modal-add-database a {
  display: block;
  box-sizing: border-box;
  text-align: center;
  text-decoration: none;
  color:inherit;
  width: 100%;
  margin: 1em 0 0;
  padding: 0.5em;
  font-size: 1em;
  background-color: var(--contrast-blue-light-40);
  border: none;
  font-family: inherit;
  cursor: pointer;
}
.modal-add-database button:hover,
.modal-add-database a:hover {
  background-color: var(--contrast-blue-light-80);
}
.modal-add-database button:disabled,
.modal-add-database a:disabled {
  background-color: var(--grey-light);
  cursor: auto;
  color: var(--grey-dark);
}
.modal-add-database label {
  margin: 0.5em 0;
  display: block;
}
.modal-add-database-access {
  display: flex;
  flex-direction: row;
  background-color: var(--grey-light);
  margin: 0.25em;
  align-items: center;
  padding: 0.5em;
}
.modal-add-database-access:hover {
  background-color: var(--grey);
}
.modal-add-database-access > img {
  width: 2em;
  height: 2em;
  margin: 0 0.5em 0 0;
}
.modal-add-database-access-name {
  flex-grow: 1;
  flex-shrink: 1;
}
